package com.bcxin.ars.model;

import com.abcxin.smart.validator.annotation.ModelAnnotation;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * 枪支日志信息
 * @author Ethan
 */
public class CyFirearmsLog extends BaseModel {

	private static final long serialVersionUID = 7649752662428917609L;

	/**
	 * 账户信息
	 */
	@JsonIgnoreProperties(value={"handler"})
	private User user;
	/**
	 * 用户ID
	 */
	@ModelAnnotation(getName="用户ID",column = "user_id")
	private Long userid;

	public Long getUserid() {
		return userid;
	}

	public void setUserid(Long userid) {
		this.userid = userid;
	}

	/**
	 * 类型
	 */
	@ModelAnnotation(getName="类型",column = "type")
	private String type;

	/**
	 * 领用人
	 */
	@ModelAnnotation(getName="领用人",column = "name")
	private String name;

	/**
	 * 时间
	 */
	@ModelAnnotation(getName="时间",column = "time")
	private String time;

	/**
	 * 备注
	 */
	@ModelAnnotation(getName="备注",column = "remarks")
	private String remarks;

	/**
	 * 操作员
	 */
	@ModelAnnotation(getName="操作员",column = "operator")
	private String operator;

	/**
	 * 枪支ID
	 */
	@ModelAnnotation(getName="枪支ID",column = "firearmsid")
	private String firearmsid;

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getOperator() {
		return operator;
	}

	public void setOperator(String operator) {
		this.operator = operator;
	}

	public String getFirearmsid() {
		return firearmsid;
	}

	public void setFirearmsid(String firearmsid) {
		this.firearmsid = firearmsid;
	}
}
